Subject: Re: [PATCH 00/10] Fix 8xx MMU/TLB

From: Scott Wood <[email-masked]>
Date: Mon, 16 Nov 2009 18:40:11 -0600

Joakim Tjernlund wrote:
> Scott Wood <[email-masked]> wrote on 16/11/2009 22:27:41:
>> On Mon, Nov 16, 2009 at 03:00:09PM -0600, Scott Wood wrote:
>>> On Sun, Nov 15, 2009 at 06:09:27PM +0100, Joakim Tjernlund wrote:
>>>> [I used the wrong branch, this will hopefully not conflict]
>>>>
>>>> This is hopfully the last iteration of the series.
>>>> Rex & Scott, please test and signoff.
>>>> Changes since last version:
>>>>  - Added mandatory pinning of iTLB
>>>>  - Added "DTLB Miss cleanup"
>>> I still get the EFAULTs.
> 
> umm, this worked before this series with your own
> version, right?

No...  I only meant that the ITLB pinning got rid of the boot hang.

When I mentioned the EFAULTs before you said, "No surprise as the it 
seems like the DAR decoding is broken."  I thought you meant you'd found 
a bug and fixed it in this respin.

> Did I screw up with the  "DTLB Miss cleanup"?

No change if I remove that patch.

> Does the self modifying code version work any better?

No change.

-Scott